#box1 {
	height: 150px;
	width: 150px;
	padding: 50px;
	border: 1px solid black;
	background-color: orange;
	margin-right: 30px;
	display: inline-block;
	vertical-align: top;
	box-sizing: border-box;
}

/*
	Without box-sizing:  border-box;
	the exact width of our element:  252px;
	1px left border + 50px left padding + 150px width + 
	50 px right padding + 1 px right border = 252px

	With box-sizing:  border-box;
	the exact width of our element:  150px;
	Border and padding are included in the total width.
	1px left border + 50px left padding + 48px content width
	+50px right padding + 1px right border= 150px

	padding- is the space within an element
	margin- is the space outside of an element's border
*/

#box2 {
	height: 150px;
	width: 150px;
	border: 1px solid black;
	background-color: yellow;
	display: inline-block;
	vertical-align: top;
}

span {
	height: 150px;
	width: 150px;
	border:  1px solid black;
	display: inline-block;
}

/* CSS Reset */

* {
	/* 

	Zeroes all margins and paddings of our elements,
	because by default, elements are being added margins and
	paddings by browser 
	
	box-sizing: border-box; to accurately measure our
	element, that padding and border are not added on top
	of the element's width.

	*/

	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

/*CSS Review*/
html {
	font-size: 5px;
}

#nestedDiv {
	/*
		rem:  root element- a measurement based the font-size
		of the root element (HTML); Default:  16px;

		2 x root element's font-size = 2rem

		em: is a measurement based on the font-size of the parent element;
		because the parent div's font-size is 10px
		2em = 20px
	*/
	height: 2em;
	width: 2em;
	border: 1px solid red;
	border-color: red;
	/*
		position:  allows us to determine the position of the element;
		position: relative; allows to move or determine the position of 
		our element relative to where it was originally in our HTML doc.

		left, right, top, bottom - these properties are used in conjunction
		with the position and they determine the measurement from a direction

		% as a measurement is based on the width or height of the parent element
		px is an exact measurement across all the device.

		vh/vw- viewport which is the visible area of our page
		vh- viewport height
		vw- viewport width
	*/
	position: relative;
	left: 33%;
	right: 33%;
}